pcl::ConditionOr< PointT > Class Template Reference

OR condition. More...

`#include <pcl/filters/conditional_removal.h>`

Inheritance diagram for pcl::ConditionOr< PointT >:

## Public Types

typedef boost::shared_ptr< ConditionOr< PointT > > | Ptr
typedef boost::shared_ptr< const ConditionOr< PointT > > | ConstPtr
Public Types inherited from pcl::ConditionBase< PointT >
typedef pcl::ComparisonBase< PointT > | ComparisonBase
typedef ComparisonBase::Ptr | ComparisonBasePtr
typedef ComparisonBase::ConstPtr | ComparisonBaseConstPtr
typedef boost::shared_ptr< ConditionBase< PointT > > | Ptr
typedef boost::shared_ptr< const ConditionBase< PointT > > | ConstPtr

## Public Member Functions

| ConditionOr ()
| Constructor. More...
virtual bool | evaluate (const PointT &point) const
| Determine if a point meets this condition. More...
Public Member Functions inherited from pcl::ConditionBase< PointT >
| ConditionBase ()
| Constructor. More...
virtual | ~ConditionBase ()
| Destructor. More...
void | addComparison (ComparisonBaseConstPtr comparison)
| Add a new comparison. More...
void | addCondition (Ptr condition)
| Add a nested condition to this condition. More...
bool | isCapable () const
| Check if evaluation requirements are met. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::ConditionBase< PointT >
bool | capable_
| True if capable. More...
std::vector< ComparisonBaseConstPtr > | comparisons_
| The collection of all comparisons that need to be verified. More...
std::vector< Ptr > | conditions_
| The collection of all conditions that need to be verified. More...

## Detailed Description

### template<typename PointT>
class pcl::ConditionOr< PointT >

OR condition.

Definition at line 537 of file conditional_removal.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT>

typedef boost::shared_ptr<const ConditionOr<PointT> > pcl::ConditionOr< PointT >::ConstPtr

Definition at line 544 of file conditional_removal.h.

## Ptr

template<typename PointT>

typedef boost::shared_ptr<ConditionOr<PointT> > pcl::ConditionOr< PointT >::Ptr

Definition at line 543 of file conditional_removal.h.

## Constructor & Destructor Documentation

## ConditionOr()

template<typename PointT>

pcl::ConditionOr< PointT >::ConditionOr | ( |  | ) |

inline

Constructor.

Definition at line 547 of file conditional_removal.h.

## Member Function Documentation

## evaluate()

template<typename PointT >

bool pcl::ConditionOr< PointT >::evaluate | ( | const PointT & | point | ) | const

virtual

Determine if a point meets this condition.

Returns
  whether the point meets this condition.

The ConditionOr evaluates to true when ANY comparisons or nested conditions evaluate to true

Implements pcl::ConditionBase< PointT >.

Definition at line 644 of file conditional_removal.hpp.

References pcl::TfQuadraticXYZComparison< PointT >::evaluate().

The documentation for this class was generated from the following files:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/filters/include/pcl/filters/conditional_removal.h
- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/filters/include/pcl/filters/impl/conditional_removal.hpp